# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ gcc-fortran
# END SourceDeps(oneline)
Name:           xfce4-modemlights-plugin
Version:        0.1.3.99
Release:        alt1_13
Summary:        Modemlights for the Xfce panel

Group:          Graphical desktop/XFce
License:        GPLv2
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
Patch0:         xfce4-modemlights-plugin-0.1.3.99-ifupdown.patch
# contains all translations from 
# http://translations.xfce.org/projects/p/xfce4-modemlights-plugin/c/master/ 
# as of 2010-12-18
Patch2:         xfce4-modemlights-plugin-0.1.3.99-update-translations.patch
Patch3:         xfce4-modemlights-plugin-0.1.3.99-modemlights.desktop.patch

BuildRequires:  xfce4-panel-devel >= 4.4.0
BuildRequires:  libxfcegui4-devel >= 4.4.0
BuildRequires:  libxml2-devel
BuildRequires:  gettext intltool
Requires:       xfce4-panel >= 4.4.1 ppp
Source44: import.info

%description
A Xfce4 panel applet intended to simplify establishing a ppp connection via 
a modem.

%prep
%setup -q
%patch0 -p1 -b .ifupdown
%patch2 -p1 -b .update-translations
%patch3 -p1 -b .modemlights.desktop


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}
%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/pixmaps/modem-*.png


%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.3.99-alt1_13
- initial fc import

* Sat Jan 05 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.1.3.99-alt1
- new version
- return from orphaned
- add watch file

* Thu Aug 18 2005 Eugene Ostapets <eostapets@altlinux.ru> 0.1.1-alt1
- First build for Sisyphus.

